Subject: Re: bug#1502: CR/LF Unicode Problem

From: Jason Rumney <[email-masked]>
Date: Sun, 07 Dec 2008 23:58:15 +0800

Lafleur, Henry wrote:
>
> When I load a Unicode file (UTF-8) where some lines in CR/LF and some 
> lines end in LF, in hexl-mode the CR/LF EOL's appear as CR/CR/LF and 
> the LF EOL's appear as CR/LF. See this thread for more information:
>
> _http://social.msdn.microsoft.com/Forums/en-US/netfxbcl/thread/8ef5b69d-135d-4584-ae1a-1caeb4afc846/#page:1_ 
>
>
> If I save the file in hexl mode, it will save it with the extra CRs, 
> thus modifying the file more than anticipated.
>

I don't see this with your sample.sql file using Emacs 22.3 here.
Do you still see the bug if you start Emacs from the command line as: 
emacs -Q